/* Reset simple */
:root{

  --main_color:#071e34;
  --white_color:#ffffff;
  --black_color:#000000;
}
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
  }
  
  html {
    scroll-behavior: smooth;
  }
  
  body {
    font-family: 'Arial', sans-serif;
    background-color:  var(--white_color); 
    color: var(--black_color); 
  }
  
  .container {
    width: 90%;
    max-width: 1200px;
    margin: 0 auto;
    padding: 60px 0;
  }
  
  /* Header */
  header {
    background: #fff;
    border-bottom: 1px solid #ccc;
    position: sticky;
    top: 0;
    z-index: 1000;
  }
  
  header .container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px 0;
  }
  
  .logo {
    color: var(--main_color);
    font-weight: 600;
    font-size: 24px;
    font-weight: bold;
  }
  
  nav ul {
    list-style: none;
    display: flex;
    gap: 20px;
  }
  
  nav a {
    text-decoration: none;
    color: var(--main_color);
    font-weight: 600;
    transition: color 0.3s;
  }
  
  nav a:hover {
    color: var(--main_color);
    text-decoration: underline;
    border-color: var(--main_color);
    padding-bottom: 2px;
  }
  
  /* Sections */
  .section {
    padding: 100px 0;
  }
  
  .section h2 {
    margin-bottom: 20px;
    font-size: 32px;
    color: #212529;
  }
  
  .section p, .section ul {
    font-size: 18px;
    line-height: 1.6;
  }
  
  ul li {
    margin-bottom: 10px;
  }

  .section-title {
    font-size: 60px;
    background: linear-gradient(90deg, #3BA5FF, #00FFD1);
    -webkit-background-clip: text;
    color: transparent;
    letter-spacing: 2px;
  }
  

  .center{
    display: flex;
    justify-content: center;
  }
  .btn-secondary {
    padding: 12.5px 36px;
    border: solid 1px var(--main_color) ;
    color: var(--main_color);
    font-weight: bold;
    font-size: 20px;
    text-decoration: none;
    border-radius: 12px;
    transition:  transform 0.3s ease, background-color 0.3s ease;
  }
  .btn-secondary:hover {
    background-color:var(--main_color) ;
    color: var(--white_color);
    transform: scale(1.05) !important;
  }

  /* Hero section  */
  .hero {
    background: var(--main_color);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 70px 20px;
    text-align: center;
  }
  
  .hero img {
    width: 160px;
    margin-bottom: 30px;
    animation: pulse 2s infinite alternate;
  }
  @keyframes pulse {
    from { transform: scale(1); opacity: 1; }
    to { transform: scale(1.05); opacity: 0.8; }
  }
 

  .hero p {
    font-size: 22px;
    margin-top: 15px;
    margin-bottom: 35px;
    max-width: 700px;
    color: #d1d5db;
  }
  .hero .cta-button {
    padding: 18px 36px;
    border: solid 1px #fff ;
    color: #fff; /*#1e3a8a; */
    font-weight: bold;
    font-size: 20px;
    text-decoration: none;
    border-radius: 12px;
    transition:  transform 0.3s;
  }
  .hero .cta-button:hover {
    background-color:linear-gradient(90deg, #3BA5FF, #00FFD1); /* #eab308; */
    transform: scale(1.05);
  }
  /* End Hero section  */

  /* About section  */
  .about {
    padding: 3rem 1rem;
    background-color: var(--white_color);
    text-align: center;
}

.about-container {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    max-width: 1200px;
    margin: 0 auto;
}

.about-text {
    flex: 1;
    padding: 2rem;
    max-width: 600px;
    text-align: left;
    color: var(--main_color);
}

.about-text p {
    margin-bottom: 1.5rem;
    font-size: 1.1rem;
    color: var(--black_color);
    text-align: justify;
}



/* Images */
.about-images {
    flex: 1;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 1.5rem;
    flex-wrap: wrap;
}

.about-images img {
    max-width: 45%;
    height: 65%;
    opacity: 1;
    transform: translateY(20px);
    transition: opacity 1s ease-out, transform 1s ease-out;
}

/* Animation d'apparition des images */
.fade-in {
    opacity: 1;
    transform: translateY(0);
}

.about-images img:nth-child(1) {
    transition-delay: 0.10s;
}

/*=== End About section ===*/

/*=== Service section   ===*/
.services {
  padding: 3rem 1rem;
  background-color: var(--main_color);
  text-align: center;
}

.services .container {
  max-width: 1200px;
  margin: 0 auto;
}

.services-cards {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 2rem;
  padding: 0 1rem;
}

.service-card {
  background-color: var(--white_color);
  border-radius: 8px;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
  padding: 2rem;
  transition: transform 0.3s ease, box-shadow 0.3s ease;
  text-align: center;
}

.service-card:hover {
  transform: translateY(-10px);
  box-shadow: 0 8px 15px rgba(0, 0, 0, 0.2);
  
}

.service-icon {
  width: 60px;
  height: 60px;
  margin-bottom: 1.5rem;
  object-fit: contain;
}

.service-card h3 {
  font-size: 20px;
  color: var(--main_color);
  margin-bottom: 1rem;
}

.service-card p {
  font-size: 15px;
  color: var(--black_color);
  margin-bottom: 1rem;
  text-align: justify;
}
/*=== End Service section  ===*/
  
/*=== Contact section  ===*/
.contact {
  padding: 4rem 1rem;
  background-color: var(--white_color);
}

.container-contact {
  max-width: 1200px;
    margin: 0 auto;
    display: flex;
    align-items: stretch; /* Important pour que les enfants prennent toute la hauteur */
    justify-content: center;
    position: relative;
    background-color: #fff;
    padding: 3rem 2rem;
}

.form-container, .contact-info {
  flex: 1;
  padding: 1rem 2rem;
}

.form-container h2, .contact-info h2 {
  font-size: 20px;
  margin-bottom: 1.5rem;
  color: var(--main_color);
}

.form-container .success {
  color: green;
  font-weight: bold;
  margin-top: 20px;
  text-align: center;
}

.form-container .error {
  color: red;
  font-weight: bold;
  margin-top: 20px;
  text-align: center;
}

form input, form textarea {
  width: 100%;
  padding: 1rem;
  margin-bottom: 1.2rem;
  border: 1px solid #ccc;
  border-radius: 8px;
  font-size: 1rem;
}

form textarea {
  height: 150px;
  resize: none;
}

.btn-submit {
  padding: 12px 36px;
  background-color: var(--main_color);
  color: var(--white_color);
  border: none;
  border-radius: 8px;
  font-size: 1.1rem;
  cursor: pointer;
  transition: background-color 0.3s ease;
}

.btn-submit:hover {
  font-weight: bolder;
}

/* Divider */
.divider {
  width: 2px;
  background-color: #a9a9a9;
  height: auto;
  align-self: stretch; 
}

/* Contact Info */
.contact-item {
  display: flex;
  align-items: center;
  margin-bottom: 1.5rem;
  font-size: 1.2rem;
  text-align: justify;
}

.contact-item img {
  width: 32px;
  height: 32px;
  margin-right: 1rem;
}

.contact-item a {
  text-decoration: none;
  color: var(--main_color);
  transition: color 0.3s ease;
}

.contact-item a:hover {
  text-decoration: underline;
  padding-bottom: 2px;
  border-color: var(--main_color);
}

.contact-item p {
  color: var(--main_color);
}
/*=== End contact section  ===*/

/* Form */
  form {
    display: flex;
    flex-direction: column;
    gap: 15px;
  }
  
  

  

  
  /*=== Footer ===*/
  footer {
    background: #cccfd1;
    color: var(--main_color);
    text-align: center;
    padding: 5px 0;
  }

  .footer_content{
    padding: 20px 0 10px;
    
  }
  .footer-menu{
    display: flex;
    justify-content: center;
    gap: 15px;
  }
  .footer-menu a{
    text-decoration: none;
    color: var(--main_color);
    font-weight: 600;
    transition: color 0.3s;
  }
  
  .footer-menu a:hover {
    color: var(--main_color);
    text-decoration: underline;
    border-color: var(--main_color);
  }

  .footer-subtitle-icon {
    width: 38px;
    height: 38px;
    vertical-align: middle;
  }
  .footer-subtitle {
    font-size: 38px;
    -webkit-background-clip: text;
    color: var(--main_color);
    letter-spacing: 2px;
    vertical-align: middle;
  }

  .footer-media{
    display: flex;
    align-items: center;
    justify-content: center;
  }

  .footer-line {
    flex: 1;
    height: 0.25px;
    background-color: var(--main_color); /* couleur de la ligne */
  }
  
  .footer-media-img{
    width: 32px;
    height: 32px;
    margin: 0 7.5px;
    cursor: pointer;
  }

  .designer{
    margin-top: 10px;
    color: var(--black_color);
    font-style: italic;
  }
  
  .designer-link{
    color: var(--black_color); 
    text-decoration: none;
  }
  .designer-link:hover{
    color: var(--main_color);
    text-decoration: underline;
  }
  
  /*=== End section footer ===*/
  .menu-toggle {
    display: none;
    font-size: 28px;
    cursor: pointer;
    color: #212529;
  } 
 
  
  /*=== Responsive ===*/

@media (max-width: 1024px) {
    .services-cards {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (max-width: 768px) {
  .container{
    padding: 30px 0;
  }

  .menu-toggle {
        width: 30px;
        height: 24px;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        align-items: center;
        cursor: pointer;
        z-index: 1000;
    }
      
      .menu-toggle span {
        display: block;
        width: 100%;
        height: 3px;
        background-color: #212529;
        border-radius: 2px;
        transition: all 0.4s ease;
      }
      
      .menu-toggle.active span:nth-child(1) {
        transform: rotate(45deg);
        transform-origin: center;
      }
      
      .menu-toggle.active span:nth-child(2) {
        opacity: 0;
      }
      
      .menu-toggle.active span:nth-child(3) {
        transform: rotate(-45deg);
        transform-origin: center;
      }
      
  
    .nav-links {
      position: absolute;
      top: 60px;
      left: 5%;
      right: 5%;
      background-color: #fff;
      flex-direction: column;
      align-items: flex-start;
      gap: 15px;
      padding: 0 20px;
      overflow: hidden;
      max-height: 0;
      transition: max-height 0.4s ease-in-out, padding 0.4s ease-in-out;
      border-radius: 8px;
      box-shadow: 0 4px 10px rgba(0,0,0,0.1);
      z-index: 99;
      width: auto;
    }
  
    .nav-links.show {
      max-height: 500px;
      padding: 20px;
    }

    .section-title {
      font-size: 50px;
    }

    /*=== About section ===*/
      .about-container {
          flex-direction: column-reverse;
      }
  
      .about-text {
          max-width: 100%;
          text-align: center;
      }
  
      .about-images {
          justify-content: center;
      }
  
      .about-images img {
          max-width: 80vw;
          max-height: 60vh;
      }
    /*=== End About section ===*/

    /*=== Service section ===*/
    .services-cards {
      grid-template-columns: 1fr;
  }
    /*=== End Service section ===*/

    /*=== Contact section ===*/
    .container-contact {
      flex-direction: column;
      padding: 2rem 1rem;
  }
  .divider {
      display: none;
  }
  .form-container, .contact-info {
      padding: 1rem 0;
  }
    /*=== End Contact section ===*/

  }
  
  @media (max-width:550px){
    .section-title {
      font-size: 40px;
    }
    
    .container{
      padding: 20px 0;
    }
    

    .footer-menu{
      display: grid;
      grid-template-columns: repeat(2, auto);
    }
  }

  /* Popup caché par défaut */
.popup {
  display: none; 
  position: fixed; 
  z-index: 1000; 
  left: 0; 
  top: 0; 
  width: 100%; 
  height: 100%; 
  background: rgba(0,0,0,0.5); 
}

/* Contenu du popup */
.popup-content {
  background: #fff;
  border-radius: 10px;
  padding: 50px 20px;
  width: 300px;
  margin: 15% auto;
  text-align: center;
  position: relative;
  box-shadow: 0px 4px 10px rgba(0,0,0,0.3);
  animation: fadeIn 0.3s ease;
}

/* Bouton X */
.popup-close {
  position: absolute;
  top: 10px; 
  right: 15px; 
  font-size: 24px; 
  cursor: pointer;
}

/* Animation */
@keyframes fadeIn {
  from {opacity: 0; transform: scale(0.8);}
  to {opacity: 1; transform: scale(1);}
}

  